API Documentation

Base URL

https://reseller.makelicense.com/api/v1

Authentication

All requests need the Authorization header:

Authorization: Bearer YOUR_TOKEN
Generate token at: Panel → API Tokens
GET /license/install-command

Get install command for a license

Body

?ip=1.2.3.4&type=cpanel

cURL

curl -X GET "https://reseller.makelicense.com/api/v1/license/install-command/license/install-command"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '?ip=1.2.3.4&type=cpanel'
GET /license/list

List all licenses of authenticated user

cURL

curl -X GET "https://reseller.makelicense.com/api/v1/license/list"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json"
POST /license/register

Register new license

Body

{"ip":"1.2.3.4","type":"cpanel","billingcycle":12}

cURL

curl -X POST "https://reseller.makelicense.com/api/v1/license/register/license/register"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '{"ip":"1.2.3.4","type":"cpanel","billingcycle":12}'
POST /license/renew

Renew license

Body

{"ip":"1.2.3.4","type":"cpanel","billingcycle":12}

cURL

curl -X POST "https://reseller.makelicense.com/api/v1/license/renew/license/renew"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '{"ip":"1.2.3.4","type":"cpanel","billingcycle":12}'
POST /license/suspend

Suspend license

Body

{"ip":"1.2.3.4","type":"cpanel"}

cURL

curl -X POST "https://reseller.makelicense.com/api/v1/license/suspend/license/suspend"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '{"ip":"1.2.3.4","type":"cpanel"}'
POST /license/unsuspend

Unsuspend license

Body

{"ip":"1.2.3.4","type":"cpanel"}

cURL

curl -X POST "https://reseller.makelicense.com/api/v1/license/unsuspend/license/unsuspend"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '{"ip":"1.2.3.4","type":"cpanel"}'
POST /license/change-ip

Change IP

Body

{"ip":"OLD","newip":"NEW","type":"cpanel"}

cURL

curl -X POST "https://reseller.makelicense.com/api/v1/license/change-ip/license/change-ip"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '{"ip":"OLD","newip":"NEW","type":"cpanel"}'
POST /license/change-core

Change core (litespeed variants)

Body

{"ip":"1.2.3.4","old_type":"litespeed","new_type":"litespeed_4core"}

cURL

curl -X POST "https://reseller.makelicense.com/api/v1/license/change-core/license/change-core"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '{"ip":"1.2.3.4","old_type":"litespeed","new_type":"litespeed_4core"}'
POST /bundles

Register bundle license

Body

{"ip":"1.2.3.4","bundle":"bundle_vpsbundle","billingcycle":12}

cURL

curl -X POST "https://reseller.makelicense.com/api/v1/bundles/bundles"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '{"ip":"1.2.3.4","bundle":"bundle_vpsbundle","billingcycle":12}'
POST /bundles/status

Check bundle status

Body

{"bundle_key":"bundle_vpsbundle"}

cURL

curl -X POST "https://reseller.makelicense.com/api/v1/bundles/status/bundles/status"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '{"bundle_key":"bundle_vpsbundle"}'
GET /sub-reseller

List sub-resellers

cURL

curl -X GET "https://reseller.makelicense.com/api/v1/sub-reseller"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json"
POST /sub-reseller

Create sub-reseller

Body

{"name":"X","email":"[email protected]","password":"pass","role":"sub_reseller","commission_rate":10}

cURL

curl -X POST "https://reseller.makelicense.com/api/v1/sub-reseller/sub-reseller"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '{"name":"X","email":"[email protected]","password":"pass","role":"sub_reseller","commission_rate":10}'
POST /sub-reseller/{id}/credit

Credit sub-reseller

Body

{"amount":100}

cURL

curl -X POST "https://reseller.makelicense.com/api/v1/sub-reseller/{id}/credit/sub-reseller/{id}/credit"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '{"amount":100}'
POST /admin/reseller

Create reseller (requires admin role)

Body

{"name":"X","email":"[email protected]","password":"pass","role":"reseller","balance":0,"domain":"x.com","commission":0}

cURL

curl -X POST "https://reseller.makelicense.com/api/v1/admin/reseller/admin/reseller"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '{"name":"X","email":"[email protected]","password":"pass","role":"reseller","balance":0,"domain":"x.com","commission":0}'
GET /admin/reseller/{id}/balance

Get reseller balance

cURL

curl -X GET "https://reseller.makelicense.com/api/v1/admin/reseller/{id}/balance"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json"
POST /admin/reseller/{id}/credit

Credit reseller balance

Body

{"amount":100,"description":"Top-up"}

cURL

curl -X POST "https://reseller.makelicense.com/api/v1/admin/reseller/{id}/credit/admin/reseller/{id}/credit"" -H "Authorization: Bearer YOUR_TOKEN" -H "Content-Type: application/json" -H "Accept: application/json" -d '{"amount":100,"description":"Top-up"}'

Product Types

cpanel litespeed cloudlinux imunify360 wp2 softaculous sitepad plesk virtualizor jetbackup kernelcare backuply webuzo whmreseller whmsonic directadmin dareseller osm cxs cpguard

Common Errors

401: { "success": false, "error": "Unauthorized" }
400: { "success": false, "error": "Insufficient balance" }
404: { "success": false, "error": "Not found" }
422: { "message": "Validation error", "errors": {...} }